from parallels.core.utils.entity import Entity


class Account(Entity):
    def __init__(self, account_id, password, password_type):
        self._account_id = account_id
        self._password = password
        self._password_type = password_type

    @property
    def account_id(self):
        """
        :rtype: str | unicode
        """
        return self._account_id

    @property
    def password_type(self):
        """
        :rtype: str | unicode
        """
        return self._password_type

    @property
    def password(self):
        """
        :rtype: str | unicode
        """
        return self._password
